Bug 54397 - /dev/vcs* permissions
Summary: /dev/vcs* permissions
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mc   
(Show other bugs)
Version: 7.3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-05 18:00 UTC by Jakub Jelinek
Modified: 2013-04-02 04:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-08 17:14:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jakub Jelinek 2001-10-05 18:00:48 UTC
Description of Problem:
When logging as normal user on the console, pam does not chown /dev/vcs*
and /dev/vcsa* devices corresponding to tty the user logged at.
As /usr/lib/mc/bin/cons.saver is no longer suid root, this means that
subshell support is totally broken for normal console users.

Comment 1 Nalin Dahyabhai 2001-10-08 17:03:25 UTC
Login handles ownership of your tty -- it should handle the vcs device as well.
 Checking the package shows that if built with ALLOW_VCS_USE, code to do this is
compiled in.  This setting was disabled in a patch, though.

Comment 2 Jakub Jelinek 2001-10-08 17:11:43 UTC
Oh, I see. revoke(2) desperately needed.
Anyway, in that case I think we should analyze mc cons.saver proglet and
if it is secure, chmod +s /usr/lib/mc/bin/cons.saver until revoke(2) is supported.

Comment 3 Havoc Pennington 2002-03-04 21:48:55 UTC
Security audit of cons.saver is outside my skillset, and also low on my priority
list. It would be nice though if we could get a patch.


Note You need to log in before you can comment on or make changes to this bug.